Loading...
Searching...
No Matches
sundials.h File Reference
`#include <unordered_map>`
`#include <nvector/nvector_serial.h>`
`#include "gridfire/exceptions/error_solver.h"`
`#include "sundials/sundials_nvector.h"`
Include dependency graph for sundials.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | gridfire
namespace | gridfire::utils

## Enumerations

enum class | gridfire::utils::SUNDIALS_RET_CODE_TYPES { gridfire::utils::CVODE , gridfire::utils::KINSOL }

## Functions

const std::unordered_map< int, std::string > & | gridfire::utils::sundials_retcode_map (const SUNDIALS_RET_CODE_TYPES type)
void | gridfire::utils::check_cvode_flag (const int flag, const std::string &func_name)
N_Vector | gridfire::utils::init_sun_vector (uint64_t size, SUNContext sun_ctx)
void | gridfire::utils::check_sundials_flag (const int flag, const std::string &func_name, const SUNDIALS_RET_CODE_TYPES type)

## Variables

static std::unordered_map< int, std::string > | gridfire::utils::cvode_ret_code_map
static std::unordered_map< int, std::string > | gridfire::utils::kinsol_ret_code_map